### Provides

- react ^17.x
- React-router-dom 5.x
- react-helmet-async 1.x
- styled-components 5.x
- redux 4.x
- redux-saga 1.x
- redux-persist 6.x

### Development

- webpack-dev-server 3.x
- react-refresh 0.9
- redux-devtools (with browser plugin)

`npm start`

### Building

- webpack 4.x
- babel 7.x

`npm run build`

### Code Quality

- eslint 7.x
- stylelint 13.x

`npm run lint` / `npm run lint:styles`

### Unit Testing

- jest 26.x
- @testing-library/react 11.x

`npm test` / `npm run test:watch`

### End 2 End Testing

- cypress 6.x

`npm run test:e2e`
